Author Topic: Need a Custom Fillet >Radius of "0" or Custom Chamfer Lisp...  (Read 2270 times)

0 Members and 1 Guest are viewing this topic.

LeoTheLion

  • Guest
Hello all there,
I fsomeone can help that will be nice.
I want a Lisp which can do following thing.
A Pline which has many radii on it, I want to change three radii but I want to select only one radius which is middle of the three which I want to change whether with chamfer command or Fillet > Radius >"0". But I want to select only one radius to change three of them.
If......if this command is hard to make then I want to change only one radius to "0" but I want to select only radius which I want to change to zero or Chamfer that radius by clicking on radius instead of selecting two Plines.
I am attaching a Cad file to understand.
If someone could help I'll be thankful.
Thanks.

ChrisCarlson

  • Guest
Re: Need a Custom Fillet >Radius of "0" or Custom Chamfer Lisp...
« Reply #1 on: May 23, 2014, 04:23:19 PM »
My suggestion is to email

https://www.blackboxcad.com/Contact.html

And get a quote for this lisp routine

danallen

  • Guest
Re: Need a Custom Fillet >Radius of "0" or Custom Chamfer Lisp...
« Reply #2 on: May 23, 2014, 04:46:52 PM »
If you earnestly try and write the code yourself and have specific code questions, you will get more than enough help in this forum.

LeoTheLion

  • Guest
Re: Need a Custom Fillet >Radius of "0" or Custom Chamfer Lisp...
« Reply #3 on: May 23, 2014, 05:43:12 PM »
If you earnestly try and write the code yourself and have specific code questions, you will get more than enough help in this forum.
I wish I could do that unfortunately I don't know about writing a code by myself. If some one who can write a code will try to help I'll be thankful.

LeoTheLion

  • Guest
Re: Need a Custom Fillet >Radius of "0" or Custom Chamfer Lisp...
« Reply #4 on: May 25, 2014, 02:43:23 PM »
This is a code by Tharwat,
Code: [Select]
(defun c:Test (/ ss fr)
  (if (setq ss (ssget "_:L" '((0 . "LWPOLYLINE"))))
    (progn
      (setq fr (getvar 'FILLETRAD))
      (setvar 'FILLETRAD 0)
      ((lambda (i / sn)
         (while (setq sn (ssname ss (setq i (1+ i))))
           (vl-cmdf "_.fillet" "_Polyline" sn)
         )
       )
        -1
      )
      (setvar 'FILLETRAD fr)
    )
  )
  (princ)
)
It changes all the Arcs radii to zero of selected Pline but I want not to change them all. If someone can modify this code so that it can only change one at a time of selected arc by one click.
Thanks.